GNU bug report logs - #34612
Add sqlitebrowser

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: <pkill9@HIDDEN>; dated Fri, 22 Feb 2019 08:52:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 34612 <at> debbugs.gnu.org:


Received: (at 34612) by debbugs.gnu.org; 23 Feb 2019 11:18:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 06:18:16 2019
Received: from localhost ([127.0.0.1]:48934 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxVJw-0008Hp-4u
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 06:18:16 -0500
Received: from mx1.riseup.net ([198.252.153.129]:56372)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxVJt-0008Hg-KK
 for 34612 <at> debbugs.gnu.org; Sat, 23 Feb 2019 06:18:14 -0500
Received: from capuchin.riseup.net (capuchin-pn.riseup.net [10.0.1.176])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 84D6C1A0463;
 Sat, 23 Feb 2019 03:18:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550920692; bh=G7O3sWplW55XkweveyNWrKAyVCgopSoWb2dxDQSpvgo=;
 h=Subject:From:To:References:Date:In-Reply-To:From;
 b=sIOkWtcxf6bsq7ywdoWlXkpmX1CTbnv7CR3F6yUuYxUehtdgZd7Pnpt/VfF+U6Sh2
 4HNt93EIC0/rMmnMvnh3L/tL1SjSPrPPFP3TTLWm9gMG71xI8/wy6/HVRcZc495sy6
 p/RmuIWZ7trekfWD3MGUomIiU6ihb7HTJgtQapLM=
X-Riseup-User-ID: 50E1D6444F152FDBB57A990052839167086C08766631FEF4C629010F10090C03
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by capuchin.riseup.net (Postfix) with ESMTPSA id 67A54120D1C;
 Sat, 23 Feb 2019 03:18:11 -0800 (PST)
Subject: Re: [bug#34612] Add sqlitebrowser
From: swedebugia <swedebugia@HIDDEN>
To: 34612 <at> debbugs.gnu.org, pkill9@HIDDEN
References: <E1gx6XL-0002Wv-I0@HIDDEN>
 <06F46BFC-2A60-468C-BFB0-B944610C0410@HIDDEN>
Message-ID: <f2411d82-5b32-9562-56c3-e39aa6ea4e57@HIDDEN>
Date: Sat, 23 Feb 2019 07:00:48 +0100
MIME-Version: 1.0
In-Reply-To: <06F46BFC-2A60-468C-BFB0-B944610C0410@HIDDEN>
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="GMy7bCHCrI7uXVNBtzNe42wPbYXCsVu6Z"
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: 34612
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--GMy7bCHCrI7uXVNBtzNe42wPbYXCsVu6Z
Content-Type: multipart/mixed; boundary="sAHgq6GOvGdfPAXlVJNnwddN1QKIekOBq";
 protected-headers="v1"
From: swedebugia <swedebugia@HIDDEN>
To: 34612 <at> debbugs.gnu.org, pkill9@HIDDEN
Message-ID: <f2411d82-5b32-9562-56c3-e39aa6ea4e57@HIDDEN>
Subject: Re: [bug#34612] Add sqlitebrowser
References: <E1gx6XL-0002Wv-I0@HIDDEN>
 <06F46BFC-2A60-468C-BFB0-B944610C0410@HIDDEN>
In-Reply-To: <06F46BFC-2A60-468C-BFB0-B944610C0410@HIDDEN>

--sAHgq6GOvGdfPAXlVJNnwddN1QKIekOBq
Content-Type: text/plain; charset=utf-8
Content-Language: en-US
Content-Transfer-Encoding: quoted-printable

On 2019-02-23 10:14, swedebugia wrote:
> pkill9@HIDDEN skrev: (22 februari 2019 09:50:27 CET)
>=20
>     Sqlitebrowser is a QT-based graphical browser for Sqlite databases.=
 https://sqlitebrowser.org/
>=20
>     This is the license:
>=20
>     https://github.com/sqlitebrowser/sqlitebrowser/blob/master/LICENSE
>=20
>         DB Browser for SQLite is bi-licensed under the Mozilla Public
>         License
>=20
>     Version 2, as well as the GNU General Public License Version 3 or l=
ater.
>=20
>=20
> I think the description sounds more like an editor. I suggest the
> following "Sqlitebrowser is an editor..." for the synopsis.
> Replace the DB... name in the description with Sqlitebrowser.
> --=20
> Sent from my k-9 mail for Android.

I now tested building it and it seems to work fine.

I combed through the source and found this:

* libtiff
* webp

Is referenced in the cmake file but seems to be missing from inputs.

I found 4 bundled libraries:
in libs:
qscintilla (with 4 patches, could you investigate if our qscintilla has
these applied?)
antlr2 (seems equal to ours)

+2 small ones.

We have the 2 first in guix. Could you unbundle them if possible?

Please also document in the license field the various licenses of the
still bundled libs (qhexedit & qcustomplot) and add a comment in inputs
about them being bundled. (this helps us when somebody later on greppes
for them and find that they are bundled in x packages already and
decides to unbundle them all perhaps.

--=20
Cheers Swedebugia


--sAHgq6GOvGdfPAXlVJNnwddN1QKIekOBq--

--GMy7bCHCrI7uXVNBtzNe42wPbYXCsVu6Z
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----

iHUEARYIAB0WIQR6IWNlOiLn9hD6a1XPzUNbKAts0gUCXHDhkQAKCRDPzUNbKAts
0g2GAQCll5an+JUxQCT4PdXjOhaZhySGT0v4QNzVD9DztVUEYgEA7LWv/UrLz37c
cOkByAq8WL//ABQrnUEhSKhx7620zwo=
=mIhg
-----END PGP SIGNATURE-----

--GMy7bCHCrI7uXVNBtzNe42wPbYXCsVu6Z--




Information forwarded to guix-patches@HIDDEN:
bug#34612; Package guix-patches. Full text available.

Message received at 34612 <at> debbugs.gnu.org:


Received: (at 34612) by debbugs.gnu.org; 23 Feb 2019 09:15:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 04:15:05 2019
Received: from localhost ([127.0.0.1]:48853 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxTOj-0005Lj-Ay
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:15:05 -0500
Received: from mx1.riseup.net ([198.252.153.129]:55774)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTOh-0005La-Rz
 for 34612 <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:15:04 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 090691A1FAB;
 Sat, 23 Feb 2019 01:15:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550913303; bh=iFtyqP0q3qZVhsVCwMSMtLnjTRgU4eLhMS/k3i7nu0M=;
 h=Date:In-Reply-To:References:Subject:To:From:From;
 b=ZQc+ZbEOefNJLuo3Spx/nPcxEgn/X5xmOONZdLb9FKTG2OsNxFg8OJo+WdR/PdNtj
 keZ4AJFGVxPAzBMtLvZpqDG3trr+ThYZT+rEEA5B8Kr9jnxQ3aHwCe0RLLLznSdCLR
 DwvQhCc713hcZ6esXyiwvpoQkuPuT2R33jVra6ko=
X-Riseup-User-ID: A2003E8E346597C45A87CD6DA68E13BFAE534845370C66C36147790F007A8FA3
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id D6DB5223983;
 Sat, 23 Feb 2019 01:15:01 -0800 (PST)
Date: Sat, 23 Feb 2019 10:14:57 +0100
In-Reply-To: <E1gx6XL-0002Wv-I0@HIDDEN>
References: <E1gx6XL-0002Wv-I0@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----HLED9IG7R8UE7VQCE4XZFGDNTLUQY3"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34612] Add sqlitebrowser
To: guix-patches@HIDDEN,pkill9@HIDDEN,34612 <at> debbugs.gnu.org
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <06F46BFC-2A60-468C-BFB0-B944610C0410@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 34612
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

------HLED9IG7R8UE7VQCE4XZFGDNTLUQY3
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

pkill9@runbox=2Ecom skrev: (22 februari 2019 09:50:27 CET)
>Sqlitebrowser is a QT-based graphical browser for Sqlite databases=2E
>https://sqlitebrowser=2Eorg/
>
>This is the license:
>
>https://github=2Ecom/sqlitebrowser/sqlitebrowser/blob/master/LICENSE
>
>> DB Browser for SQLite is bi-licensed under the Mozilla Public License
>Version 2, as well as the GNU General Public License Version 3 or
>later=2E

I think the description sounds more like an editor=2E I suggest the follow=
ing "Sqlitebrowser is an editor=2E=2E=2E" for the synopsis=2E=20
Replace the DB=2E=2E=2E name in the description with Sqlitebrowser=2E=20
--=20
Sent from my k-9 mail for Android=2E

------HLED9IG7R8UE7VQCE4XZFGDNTLUQY3
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">pkill9@runbox=2Ecom skr=
ev: (22 februari 2019 09:50:27 CET)<blockquote class=3D"gmail_quote" style=
=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 204);=
 padding-left: 1ex;">
<pre class=3D"k9mail">Sqlitebrowser is a QT-based graphical browser for Sq=
lite databases=2E <a href=3D"https://sqlitebrowser=2Eorg/">https://sqlitebr=
owser=2Eorg/</a><br><br>This is the license:<br><br><a href=3D"https://gith=
ub=2Ecom/sqlitebrowser/sqlitebrowser/blob/master/LICENSE">https://github=2E=
com/sqlitebrowser/sqlitebrowser/blob/master/LICENSE</a><br><br><blockquote =
class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1p=
x solid #729fcf; padding-left: 1ex;">DB Browser for SQLite is bi-licensed u=
nder the Mozilla Public License<br></blockquote>Version 2, as well as the G=
NU General Public License Version 3 or later=2E</pre></blockquote></div><br=
 clear=3D"all">I think the description sounds more like an editor=2E I sugg=
est the following "Sqlitebrowser is an editor=2E=2E=2E" for the synopsis=2E=
 <br>Replace the DB=2E=2E=2E name in the description with Sqlitebrowser=2E =
<br>-- <br>Sent from my k-9 mail for Android=2E<br></body></html>
------HLED9IG7R8UE7VQCE4XZFGDNTLUQY3--




Information forwarded to guix-patches@HIDDEN:
bug#34612; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Feb 2019 09:15:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 23 04:15:19 2019
Received: from localhost ([127.0.0.1]:48856 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gxTOw-0005MJ-QE
	for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:15:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTOu-0005M4-Ta
 for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:15:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:33686)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gxTOm-00004w-Qn
 for submit <at> debbugs.gnu.org; Sat, 23 Feb 2019 04:15:10 -0500
Received: from eggs.gnu.org ([209.51.188.92]:56117)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTOk-0001lb-6r
 for guix-patches@HIDDEN; Sat, 23 Feb 2019 04:15:08 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_20,HTML_MESSAGE,
 RCVD_IN_DNSWL_LOW,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gxTOi-0008Rv-Dm
 for guix-patches@HIDDEN; Sat, 23 Feb 2019 04:15:06 -0500
Received: from mx1.riseup.net ([198.252.153.129]:39944)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gxTOi-0008PB-3N
 for guix-patches@HIDDEN; Sat, 23 Feb 2019 04:15:04 -0500
Received: from bell.riseup.net (unknown [10.0.1.178])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 090691A1FAB;
 Sat, 23 Feb 2019 01:15:03 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1550913303; bh=iFtyqP0q3qZVhsVCwMSMtLnjTRgU4eLhMS/k3i7nu0M=;
 h=Date:In-Reply-To:References:Subject:To:From:From;
 b=ZQc+ZbEOefNJLuo3Spx/nPcxEgn/X5xmOONZdLb9FKTG2OsNxFg8OJo+WdR/PdNtj
 keZ4AJFGVxPAzBMtLvZpqDG3trr+ThYZT+rEEA5B8Kr9jnxQ3aHwCe0RLLLznSdCLR
 DwvQhCc713hcZ6esXyiwvpoQkuPuT2R33jVra6ko=
X-Riseup-User-ID: A2003E8E346597C45A87CD6DA68E13BFAE534845370C66C36147790F007A8FA3
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by bell.riseup.net (Postfix) with ESMTPSA id D6DB5223983;
 Sat, 23 Feb 2019 01:15:01 -0800 (PST)
Date: Sat, 23 Feb 2019 10:14:57 +0100
In-Reply-To: <E1gx6XL-0002Wv-I0@HIDDEN>
References: <E1gx6XL-0002Wv-I0@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----HLED9IG7R8UE7VQCE4XZFGDNTLUQY3"
Content-Transfer-Encoding: 7bit
Subject: Re: [bug#34612] Add sqlitebrowser
To: guix-patches@HIDDEN,pkill9@HIDDEN,34612 <at> debbugs.gnu.org
From: swedebugia <swedebugia@HIDDEN>
Message-ID: <06F46BFC-2A60-468C-BFB0-B944610C0410@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 198.252.153.129
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.1 (/)

------HLED9IG7R8UE7VQCE4XZFGDNTLUQY3
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

pkill9@runbox=2Ecom skrev: (22 februari 2019 09:50:27 CET)
>Sqlitebrowser is a QT-based graphical browser for Sqlite databases=2E
>https://sqlitebrowser=2Eorg/
>
>This is the license:
>
>https://github=2Ecom/sqlitebrowser/sqlitebrowser/blob/master/LICENSE
>
>> DB Browser for SQLite is bi-licensed under the Mozilla Public License
>Version 2, as well as the GNU General Public License Version 3 or
>later=2E

I think the description sounds more like an editor=2E I suggest the follow=
ing "Sqlitebrowser is an editor=2E=2E=2E" for the synopsis=2E=20
Replace the DB=2E=2E=2E name in the description with Sqlitebrowser=2E=20
--=20
Sent from my k-9 mail for Android=2E

------HLED9IG7R8UE7VQCE4XZFGDNTLUQY3
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

<html><head></head><body><div class=3D"gmail_quote">pkill9@runbox=2Ecom skr=
ev: (22 februari 2019 09:50:27 CET)<blockquote class=3D"gmail_quote" style=
=3D"margin: 0pt 0pt 0pt 0=2E8ex; border-left: 1px solid rgb(204, 204, 204);=
 padding-left: 1ex;">
<pre class=3D"k9mail">Sqlitebrowser is a QT-based graphical browser for Sq=
lite databases=2E <a href=3D"https://sqlitebrowser=2Eorg/">https://sqlitebr=
owser=2Eorg/</a><br><br>This is the license:<br><br><a href=3D"https://gith=
ub=2Ecom/sqlitebrowser/sqlitebrowser/blob/master/LICENSE">https://github=2E=
com/sqlitebrowser/sqlitebrowser/blob/master/LICENSE</a><br><br><blockquote =
class=3D"gmail_quote" style=3D"margin: 0pt 0pt 1ex 0=2E8ex; border-left: 1p=
x solid #729fcf; padding-left: 1ex;">DB Browser for SQLite is bi-licensed u=
nder the Mozilla Public License<br></blockquote>Version 2, as well as the G=
NU General Public License Version 3 or later=2E</pre></blockquote></div><br=
 clear=3D"all">I think the description sounds more like an editor=2E I sugg=
est the following "Sqlitebrowser is an editor=2E=2E=2E" for the synopsis=2E=
 <br>Replace the DB=2E=2E=2E name in the description with Sqlitebrowser=2E =
<br>-- <br>Sent from my k-9 mail for Android=2E<br></body></html>
------HLED9IG7R8UE7VQCE4XZFGDNTLUQY3--




Information forwarded to guix-patches@HIDDEN:
bug#34612; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Feb 2019 08:51:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 22 03:51:15 2019
Received: from localhost ([127.0.0.1]:47585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gx6Y6-0003rC-Va
	for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 03:51:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:49405)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pkill9@HIDDEN>) id 1gx6Y2-0003qw-2U
 for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 03:51:13 -0500
Received: from lists.gnu.org ([209.51.188.17]:35918)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pkill9@HIDDEN>) id 1gx6Xv-0007jp-Ej
 for submit <at> debbugs.gnu.org; Fri, 22 Feb 2019 03:51:04 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35529)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <pkill9@HIDDEN>) id 1gx6Xu-0003iq-7w
 for guix-patches@HIDDEN; Fri, 22 Feb 2019 03:51:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.4 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT, FREEMAIL_FROM, RCVD_IN_DNSWL_LOW, UNPARSEABLE_RELAY,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pkill9@HIDDEN>) id 1gx6Xh-0007aj-H8
 for guix-patches@HIDDEN; Fri, 22 Feb 2019 03:50:52 -0500
Received: from aibo.runbox.com ([91.220.196.211]:58984)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <pkill9@HIDDEN>) id 1gx6XZ-0007MC-7W
 for guix-patches@HIDDEN; Fri, 22 Feb 2019 03:50:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=runbox.com; 
 s=rbselector1;
 h=Message-Id:Content-Type:Date:Subject:To:From:MIME-Version; 
 bh=zdsHlH9zaayFwJHm9wlqdwrYgaAutC2Sj4jOmaEIkHk=; b=U7o8nOn2QQD83Q+snnLeo3z7Y
 47B0G8ly/6DSd24mZMy9/XVPN4TxvRFvKbehzun0PvXvQMBobWP/mcV460LKVyFrwwgVG8e0zMKc5
 cegeN2FGlHvrvFyW8vIqnqPyBGzIK3AdyHNvcLp0Dp/GfWQQG6rf9TL1nfVlAMWasgmBrO0MQ18fG
 i5ySIzMyYXZIWomj5HtxNjfGGwxAwtWYBm/Z0EGa+YH3r+J4vIj86WwtSTB+ch2jEtnBvnj9LA/Wy
 uOaXShoXdrARZY9tbFTox7hKpW++OA/A0olpIliI/1/POAYY3HieRNdZYX4hIxMfagMtmap4ueoVL
 IOXAIcrZg==;
Received: from [10.9.9.127] (helo=rmmprod05.runbox)
 by mailtransmit02.runbox with esmtp (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1gx6XL-0000pt-Iu
 for guix-patches@HIDDEN; Fri, 22 Feb 2019 09:50:27 +0100
Received: from mail by rmmprod05.runbox with local (Exim 4.86_2)
 (envelope-from <pkill9@HIDDEN>) id 1gx6XL-0002Wv-I0
 for guix-patches@HIDDEN; Fri, 22 Feb 2019 09:50:27 +0100
MIME-Version: 1.0
Received: from [Authenticated user (850733)] by runbox.com with http
 (RMM6); for <guix-patches@HIDDEN>; Fri, 22 Feb 2019 08:50:27 GMT
From: <pkill9@HIDDEN>
To: "guix-patches" <guix-patches@HIDDEN>
Subject: Add sqlitebrowser
Date: Fri, 22 Feb 2019 08:50:27 +0000 (GMT)
X-Mailer: RMM6
Content-Type: multipart/mixed; boundary="----------=_1550825427-9133-0"
Message-Id: <E1gx6XL-0002Wv-I0@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 91.220.196.211
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Sqlitebrowser is a QT-based graphical browser for Sqlite
 databases. https://sqlitebrowser.org/ This is the license:
 https://github.com/sqlitebrowser/sqlitebrowser/blob/master/LICENSE
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: runbox.com]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (pkill9[at]runbox.com)
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.51.188.92 listed in wl.mailspike.net]
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=pkill9%40runbox.com; ip=209.51.188.92; r=debbugs.gnu.org]
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (pkill9[at]runbox.com)
 0.0 UNPARSEABLE_RELAY      Informational: message has unparseable relay
 lines
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

This is a multi-part message in MIME format...

------------=_1550825427-9133-0
Content-Type: text/plain; charset="utf-8"
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

Sqlitebrowser is a QT-based graphical browser for Sqlite databases. https:/=
/sqlitebrowser.org/

This is the license:

https://github.com/sqlitebrowser/sqlitebrowser/blob/master/LICENSE

> DB Browser for SQLite is bi-licensed under the Mozilla Public License
Version 2, as well as the GNU General Public License Version 3 or later.=

------------=_1550825427-9133-0
Content-Type: text/x-patch;
 name="=?UTF-8?Q?0001-gnu-Add-sqlitebrowser.patch?="
Content-Disposition: attachment;
 filename="=?UTF-8?Q?0001-gnu-Add-sqlitebrowser.patch?="
Content-Transfer-Encoding: base64
Content-ID: <aef4ea71df24fa961da45c4a4a6af1db>

RnJvbSAyODliYjI2MzIwY2ZjNjRlMTZmNjJmOGE1MDQ3MGY3YmQ2NmE5YzE0
IE1vbiBTZXAgMTcgMDA6MDA6MDAgMjAwMQpGcm9tOiBQa2lsbCAtOSA8cGtp
bGw5QHJ1bmJveC5jb20+CkRhdGU6IEZyaSwgMjIgRmViIDIwMTkgMDg6NDY6
NTUgKzAwMDAKU3ViamVjdDogW1BBVENIXSBnbnU6IEFkZCBzcWxpdGVicm93
c2VyLgoKKiBnbnUvcGFja2FnZXMvc3FsaXRlLnNjbSAoc3FsaXRlYnJvd3Nl
cik6IE5ldyB2YXJpYWJsZS4KLS0tCiBnbnUvcGFja2FnZXMvc3FsaXRlLnNj
bSB8IDMyICsrKysrKysrKysrKysrKysrKysrKysrKysrKysrKysrCiAxIGZp
bGUgY2hhbmdlZCwgMzIgaW5zZXJ0aW9ucygrKQoKZGlmZiAtLWdpdCBhL2du
dS9wYWNrYWdlcy9zcWxpdGUuc2NtIGIvZ251L3BhY2thZ2VzL3NxbGl0ZS5z
Y20KaW5kZXggMDVkN2NlNmI5Li4xZGQ4YWUwMDQgMTAwNjQ0Ci0tLSBhL2du
dS9wYWNrYWdlcy9zcWxpdGUuc2NtCisrKyBiL2dudS9wYWNrYWdlcy9zcWxp
dGUuc2NtCkBAIC0xMSw2ICsxMSw3IEBACiA7OzsgQ29weXJpZ2h0IMKpIDIw
MTcgSmVsbGUgTGljaHQgPGpsaWNodEBmc2ZlLm9yZz4KIDs7OyBDb3B5cmln
aHQgwqkgMjAxOCBUb2JpYXMgR2VlcmluY2t4LVJpY2UgPG1lQHRvYmlhcy5n
cj4KIDs7OyBDb3B5cmlnaHQgwqkgMjAxOCBBbGV4IFZvbmcgPGFsZXh2b25n
MTk5NUBnbWFpbC5jb20+Cis7OzsgQ29weXJpZ2h0IMKpIDIwMTkgUGtpbGwg
LTkgPHBraWxsOUBydW5ib3guY29tPgogOzs7CiA7OzsgVGhpcyBmaWxlIGlz
IHBhcnQgb2YgR05VIEd1aXguCiA7OzsKQEAgLTMwLDEwICszMSwxMyBAQAog
KGRlZmluZS1tb2R1bGUgKGdudSBwYWNrYWdlcyBzcWxpdGUpCiAgICM6dXNl
LW1vZHVsZSAoZ251IHBhY2thZ2VzKQogICAjOnVzZS1tb2R1bGUgKGdudSBw
YWNrYWdlcyByZWFkbGluZSkKKyAgIzp1c2UtbW9kdWxlIChnbnUgcGFja2Fn
ZXMgcXQpCiAgICM6dXNlLW1vZHVsZSAoKGd1aXggbGljZW5zZXMpICM6cHJl
Zml4IGxpY2Vuc2U6KQogICAjOnVzZS1tb2R1bGUgKGd1aXggcGFja2FnZXMp
CiAgICM6dXNlLW1vZHVsZSAoZ3VpeCBkb3dubG9hZCkKKyAgIzp1c2UtbW9k
dWxlIChndWl4IGdpdC1kb3dubG9hZCkKICAgIzp1c2UtbW9kdWxlIChndWl4
IGJ1aWxkLXN5c3RlbSBnbnUpCisgICM6dXNlLW1vZHVsZSAoZ3VpeCBidWls
ZC1zeXN0ZW0gY21ha2UpCiAgICM6dXNlLW1vZHVsZSAoZ3VpeCB1dGlscykK
ICAgIzp1c2UtbW9kdWxlIChpY2UtOSBtYXRjaCkKICAgIzp1c2UtbW9kdWxl
IChzcmZpIHNyZmktMjYpKQpAQCAtMTE0LDMgKzExOCwzMSBAQCBpcyBpbiB0
aGUgcHVibGljIGRvbWFpbi4iKQogICAgICAgICAgICAgICAgICAgICAgICAg
ICAgICAgIi1EU1FMSVRFX0VOQUJMRV9VTkxPQ0tfTk9USUZZICIKICAgICAg
ICAgICAgICAgICAgICAgICAgICAgICAgICItRFNRTElURV9FTkFCTEVfREJT
VEFUX1ZUQUIgIgogICAgICAgICAgICAgICAgICAgICAgICAgICAgICAgIi1E
U1FMSVRFX0VOQUJMRV9DT0xVTU5fTUVUQURBVEEiKSkpKSkpKQorCisoZGVm
aW5lLXB1YmxpYyBzcWxpdGVicm93c2VyCisgIChwYWNrYWdlCisgICAgKG5h
bWUgInNxbGl0ZWJyb3dzZXIiKQorICAgICh2ZXJzaW9uICIzLjExLjEiKQor
ICAgIChzb3VyY2UgKG9yaWdpbgorICAgICAgICAgICAgICAobWV0aG9kIGdp
dC1mZXRjaCkKKyAgICAgICAgICAgICAgKHVyaSAoZ2l0LXJlZmVyZW5jZQor
ICAgICAgICAgICAgICAgICAgICAodXJsICJodHRwczovL2dpdGh1Yi5jb20v
c3FsaXRlYnJvd3Nlci9zcWxpdGVicm93c2VyIikKKyAgICAgICAgICAgICAg
ICAgICAgKGNvbW1pdCAoc3RyaW5nLWFwcGVuZCAidiIgdmVyc2lvbikpKSkK
KyAgICAgICAgICAgICAgKGZpbGUtbmFtZSAoZ2l0LWZpbGUtbmFtZSBuYW1l
IHZlcnNpb24pKQorICAgICAgICAgICAgICAoc2hhMjU2CisgICAgICAgICAg
ICAgICAoYmFzZTMyCisgICAgICAgICAgICAgICAgIjBwZnZxMWd6YnM2anFs
YzF3ODZ6Y3JoZjJzOTI2MXE1NmxpOGo5bWJrY3YwcWdhZGx5bjkiKSkpKQor
ICAgIChidWlsZC1zeXN0ZW0gY21ha2UtYnVpbGQtc3lzdGVtKQorICAgIChh
cmd1bWVudHMKKyAgICAgYCgjOnRlc3RzPyAjZikpIDsgbm8gdGVzdHMKKyAg
ICAobmF0aXZlLWlucHV0cworICAgICBgKCgicXR0b29scyIgLHF0dG9vbHMp
KSkKKyAgICAoaW5wdXRzCisgICAgIGAoKCJxdGJhc2UiICxxdGJhc2UpCisg
ICAgICAgKCJzcWxpdGUiICxzcWxpdGUpKSkKKyAgICAoaG9tZS1wYWdlICJo
dHRwczovL3NxbGl0ZWJyb3dzZXIub3JnIikKKyAgICAoc3lub3BzaXMgIkdy
YXBoaWNhbCBicm93c2VyIGZvciBzcWxpdGUgZGF0YWJhc2VzIikKKyAgICAo
ZGVzY3JpcHRpb24gIkRCIEJyb3dzZXIgZm9yIFNRTGl0ZSBpcyBhIHZpc3Vh
bCB0b29sIHRvIGNyZWF0ZSwgZGVzaWduLCBhbmQKK2VkaXQgZGF0YWJhc2Ug
ZmlsZXMgY29tcGF0aWJsZSB3aXRoIFNRTGl0ZS4gIEl0IHVzZXMgYSBmYW1p
bGlhciBzcHJlYWRzaGVldC1saWtlCitpbnRlcmZhY2UsIGFuZCB5b3UgZG9u
J3QgbmVlZCB0byBsZWFybiBjb21wbGljYXRlZCBTUUwgY29tbWFuZHMuIikK
KyAgICAobGljZW5zZSAobGlzdCBsaWNlbnNlOm1wbDIuMCBsaWNlbnNlOmdw
bDMrKSkpKQotLSAKMi4yMC4xCgo=

------------=_1550825427-9133-0--




Acknowledgement sent to <pkill9@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#34612; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.